use super::{PossessionData, PossessionType};
use once_cell::sync::OnceCell;

pub fn data() -> &'static Vec<(PossessionType, PossessionData)> {
    static D: OnceCell<Vec<(PossessionType, PossessionData)>> = OnceCell::new();
    &D.get_or_init(|| vec!(
        (PossessionType::CulinaryEssentials,
         PossessionData {
             display: "Culinary Essentials cookbook",
             aliases: vec!["book", "cookbook"],
             details: "A weathered cookbook filled with essential recipes for survival in the post-apocalyptic world. Its pages are yellowed and marked with stains, a testament to its extensive use by those seeking sustenance and comfort amidst scarcity.",
             weight: 300,
             ..Default::default()
         }),
    ))
}
